summaryrefslogtreecommitdiffstats
path: root/system/terminology
diff options
context:
space:
mode:
author Matteo Bernardini2013-12-10 03:19:21 +0100
committer Erik Hanson2013-12-14 17:53:02 +0100
commitd89c5db5edf3a89c82abadc7bd1be3dbf894a822 (patch)
tree0253d73257a2a8b060cc07e44eac24962591f971 /system/terminology
parentd6b09337b06dc0f2e0e4ec39d94209402a99cfa1 (diff)
downloadslackbuilds-d89c5db5edf3a89c82abadc7bd1be3dbf894a822.tar.gz
system/terminology: Added (terminal emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/terminology')
-rw-r--r--system/terminology/README31
-rw-r--r--system/terminology/doinst.sh9
-rw-r--r--system/terminology/slack-desc19
-rw-r--r--system/terminology/terminology.SlackBuild103
-rw-r--r--system/terminology/terminology.info10
5 files changed, 172 insertions, 0 deletions
diff --git a/system/terminology/README b/system/terminology/README
new file mode 100644
index 0000000000..166860367d
--- /dev/null
+++ b/system/terminology/README
@@ -0,0 +1,31 @@
+Terminology emulates a slightly extended vt100 with some extensions
+and bling thrown in.
+
+- Most escapes supported by xterm, rxvt etc. work
+- Xterm 256 color escapes work
+- Backgrounds (bitmap, scalable/vector, animated gif, videos)
+- Transparency
+- Bitmap and scalable fonts supported
+- Themes for the layout and design
+- URL, file path and email address detection and link-handling
+- Inline display of link content
+- Multiple copy and paste selections and buffer support
+- Works in X11
+- Works in Wayland
+- Works directly in the linux framebuffer (fbcon)
+- Can be finger/touch controlled
+- Scan scale by UI scaling factors
+- Can render using OpenGL or OpenGL-ES2 (not a requirement - just an option)
+- Can display inlined media content (images, video, documents)
+- Can do multiple "tabs"
+- Can do splitting into multiple panes
+- Block text selection
+- Drag and drop of text selections and links
+- Can stream media from URLs
+- Tab switcher has live thumbnail content
+- Single process, multiple windows/terminals support
+- Fast (gives urxvt a run for its money)
+- Themable visual bell
+- Compress backscroll
+- Text reflow on resize
+- More...
diff --git a/system/terminology/doinst.sh b/system/terminology/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/system/terminology/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/system/terminology/slack-desc b/system/terminology/slack-desc
new file mode 100644
index 0000000000..d5e3cfaa1e
--- /dev/null
+++ b/system/terminology/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+terminology: terminology (terminal emulator)
+terminology:
+terminology: Terminology emulates a slightly extended vt100 with some extensions
+terminology: and bling thrown in.
+terminology:
+terminology: homepage: http://enlightenment.org/p.php?p=about/terminology
+terminology:
+terminology:
+terminology:
+terminology:
+terminology:
diff --git a/system/terminology/terminology.SlackBuild b/system/terminology/terminology.SlackBuild
new file mode 100644
index 0000000000..14cbf9d443
--- /dev/null
+++ b/system/terminology/terminology.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for terminology
+
+# Copyright 2013 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=terminology
+VERSION=${VERSION:-0.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING NEWS README TODO"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/terminology/terminology.info b/system/terminology/terminology.info
new file mode 100644
index 0000000000..4b7a43a693
--- /dev/null
+++ b/system/terminology/terminology.info
@@ -0,0 +1,10 @@
+PRGNAM="terminology"
+VERSION="0.4.0"
+HOMEPAGE="http://enlightenment.org/p.php?p=about/terminology"
+DOWNLOAD="http://download.enlightenment.org/rel/apps/terminology/terminology-0.4.0.tar.bz2"
+MD5SUM="43bf2164c6849580db2a461ae5fac57a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="emotion elementary"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"